/* PcxReader Test Application
 * Requires Java 1.1.
 */

import java.awt.*;
import java.awt.event.*;
import java.io.*;

class PcxReaderTesterV02
{
  /* This class is a test application for the PcxReader-Class.
   * It requires a PCX-File as parameter.
   */

  
  public static void main(String args[])
  {

    if(args.length == 1)
    {
      try
      {
        FileInputStream in = new FileInputStream(args[0]);
        Image img = PcxReaderV02.loadImage(in);
        PcxReaderTesterV02OutputWindow win = new PcxReaderTesterV02OutputWindow(img);
        win.show();
      }
      catch(IOException e)
      {
        System.out.println("Error opening PCX-File");
      }
    }
    else
    {
      System.out.println("Syntax: jview PcxReaderTesterV02 <PCX-File>");
      System.out.println("    or: java PcxReaderTesterV02 <PCX-File>");
    }
  }  
}


class PcxReaderTesterV02OutputWindow extends Frame implements WindowListener
{
  Image offScreen;
  Image picture;
  public PcxReaderTesterV02OutputWindow(Image picture)
  {
    super("Pcx-Output");
    addWindowListener(this);
    this.picture = picture;
    setSize(picture.getWidth(this), picture.getHeight(this));    
  }

  public void update(Graphics g)
  {
    if(offScreen == null
       || offScreen.getWidth(this) != getSize().width 
       || offScreen.getHeight(this) != getSize().height)
    {
      offScreen = createImage(getSize().width, getSize().height);
    }
    
    Graphics offScreenG = offScreen.getGraphics();
    offScreenG.setColor(Color.black);
    offScreenG.fillRect(0,0,getSize().width,getSize().height);
    paint(offScreenG);
    g.drawImage(offScreen,0,0,this);  
  }



  public void paint(Graphics g)
  {
    g.setColor(Color.black);
    g.fillRect(0,0,getSize().width, getSize().height);
    g.drawImage(picture,0,0,this);
  }
    

  public void windowActivated(WindowEvent e)
  {
  }
  public void windowClosed(WindowEvent e)
  {
  }
  public void windowClosing(WindowEvent e)
  {
    System.exit(0);
  }
  public void windowDeactivated(WindowEvent e)
  {
  }
  public void windowDeiconified(WindowEvent e)
  {
  }
  public void windowIconified(WindowEvent e)
  {
  }
  public void windowOpened(WindowEvent e)
  {
  }


}


